CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM Installation (http://www.cfd-online.com/Forums/openfoam-installation/)
-   -   Problem installing OpenFOAM on Fedora 10 (http://www.cfd-online.com/Forums/openfoam-installation/63968-problem-installing-openfoam-fedora-10-a.html)

ptb April 24, 2009 23:57

Problem installing OpenFOAM on Fedora 10
 
Hello all,
I am trying to install OpenFOAM v1.5 on Fedora 10 and seem to be having some problems compiling the code. I get the error:

+ cd ParMetis-3.1
+ wmake libso METISLib
/home/peter/OpenFOAM/OpenFOAM-1.5/wmake/scripts/mkObjectDir: line 40: [: too many arguments
icpc: command line remark #10148: option '-K' not supported
ld: cannot open output file /libmetis-parmetis.so: Permission denied
make: *** [/libmetis-parmetis.so] Error 1

I noticed that the script 'mkObjectDir' says that it is written in c-shell so I switched the first line from '/bin/sh' to 'bin/csh' but then it says there's a syntax error in the if statement.

Any suggestions?

Thanks,
Peter.

lin April 25, 2009 08:53

It seems that you are using Intel Fortran Compiler,if so,change to Gcc.

lzgwhy August 14, 2009 10:43

Problem on Installing OpenFOAM 1.6 on Fedora 11
 
I installed the OpenFOAM-1.6, and set the environment variables in the way in the file README. However, after I restart my computer, I found there was nothing in desktop of my computer, and I can not open GUI to view files. When I opened the terminal, I found there was one warning in terminal that was following:
"age: grep [OPTION]... PATTERN [FILE]...
Try `grep --help' for more information.
kde4-config: /root/OpenFOAM/ThirdParty-1.6/gcc-4.3.3/platforms/linux/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/libkdecore.so.5)".

So, I just reset environment variables in order to make my computer normal.

What is the problem with what I mention above? How to solve it?
Thanks!

grig October 22, 2009 08:31

I am experiencing the same problem with OF 1.5 and 1.6 under Fedora 11. This is my error message.

"nautilus: /home/cata/OpenFOAM/ThirdParty/gcc-4.3.1/platforms/linux64/lib64/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib64/libexempi.so.3)"

Best,
grig

Fed11 October 28, 2009 19:45

Quote:

Originally Posted by grig (Post 233683)
I am experiencing the same problem with OF 1.5 and 1.6 under Fedora 11. This is my error message.

"nautilus: /home/cata/OpenFOAM/ThirdParty/gcc-4.3.1/platforms/linux64/lib64/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib64/libexempi.so.3)"

Best,
grig

Hi Grig,
Did you figure out what the problem was? I am also in the same boat!
Please let us know,
Thanks

grig October 29, 2009 05:31

I just set: WM_COMPILER_INST = System (line 96 in file /.../OpenFOAM-1.5/etc/settings.sh). It all works out when booting but now I get a gcc conflicting installations error when running foamInstallationTest.

best,
grig

gwierink October 30, 2009 05:53

Hi Grig,

Perhaps you could compile OF with the system compiler and then put gcc back to OF's compiler. Does that remove the foamInstallationTest error?

Regards,

Gijs

zhoubinwx January 4, 2010 04:51

Quote:

Originally Posted by Fed11 (Post 234423)
Hi Grig,
Did you figure out what the problem was? I am also in the same boat!
Please let us know,
Thanks

Hello, we are on the same boat, so may I ask if you have solved this problem?

I am currently using gnuplot, and I came across this problem.

Thank you.

Bin

ruma March 29, 2011 14:46

Hi,
Can you pls elaborate how did you compile the source file in fedora 10?
I am so confused with instalations.

I really appreciate help,
Quote:

Originally Posted by ptb (Post 214126)
Hello all,
I am trying to install OpenFOAM v1.5 on Fedora 10 and seem to be having some problems compiling the code. I get the error:

+ cd ParMetis-3.1
+ wmake libso METISLib
/home/peter/OpenFOAM/OpenFOAM-1.5/wmake/scripts/mkObjectDir: line 40: [: too many arguments
icpc: command line remark #10148: option '-K' not supported
ld: cannot open output file /libmetis-parmetis.so: Permission denied
make: *** [/libmetis-parmetis.so] Error 1

I noticed that the script 'mkObjectDir' says that it is written in c-shell so I switched the first line from '/bin/sh' to 'bin/csh' but then it says there's a syntax error in the if statement.

Any suggestions?

Thanks,
Peter.



All times are GMT -4. The time now is 05:24.